> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Statements

> Returns a list of statements for the given account, with signed download URLs.



## OpenAPI

````yaml GET /partner/clover/accounts/statements/{account_id}
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /partner/clover/accounts/statements/{account_id}:
    get:
      tags:
        - Clover
      summary: Get Account Statements
      description: >-
        Returns a list of statements for the given account, with signed download
        URLs.
      operationId: >-
        get_account_statements_partner_clover_accounts_statements__account_id__get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
        - name: statement_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Statement id to filter by
            title: Statement Id
          description: Statement id to filter by
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date to filter statements
            title: Start Date
          description: Start date to filter statements
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date to filter statements
            title: End Date
          description: End date to filter statements
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseSchema_List_StatementItemResponse__
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ResponseSchema_List_StatementItemResponse__:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/StatementItemResponse'
              type: array
            - type: 'null'
          title: Data
      type: object
      required:
        - message
      title: ResponseSchema[List[StatementItemResponse]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StatementItemResponse:
      properties:
        statement_id:
          type: string
          format: uuid
          title: Statement Id
          description: Placeholder identifier for the statement
        start_date:
          type: string
          format: date
          title: Start Date
          description: Placeholder start date
        end_date:
          type: string
          format: date
          title: End Date
          description: Placeholder end date
        year:
          type: integer
          title: Year
          description: Placeholder year
        month:
          type: integer
          maximum: 12
          minimum: 1
          title: Month
          description: Placeholder month (1-12)
        generated_at:
          type: string
          format: date-time
          title: Generated At
          description: Placeholder generation timestamp
        formats:
          $ref: '#/components/schemas/StatementFormatResponse'
          description: Every file currently found in the statements folder
      type: object
      required:
        - statement_id
        - start_date
        - end_date
        - year
        - month
        - generated_at
        - formats
      title: StatementItemResponse
      description: Response model for a single account statement.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    StatementFormatResponse:
      properties:
        format:
          type: string
          title: Format
          description: File format of the statement
          examples:
            - pdf
        url:
          type: string
          title: Url
          description: Presigned S3 URL for downloading the statement
        url_expires_at:
          type: string
          format: date-time
          title: Url Expires At
          description: UTC timestamp when the presigned URL expires
      type: object
      required:
        - format
        - url
        - url_expires_at
      title: StatementFormatResponse
      description: Response model for a single downloadable statement format.

````